PostZen
Webhooks

Update a webhook

PUT
/v1/webhooks/{webhookId}

Updates one or more endpoint settings. Omitted fields are unchanged. This endpoint requires a read-write API key.

Authorization

bearerAuth
AuthorizationBearer <token>

PostZen API key.

In: header

Path Parameters

webhookId*string

PostZen webhook endpoint id.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Include at least one field. Omitted fields keep their stored values.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/webhooks/string" \  -H "Content-Type: application/json" \  -d '{    "events": [      "post.published",      "post.partially_failed",      "post.failed"    ],    "customHeaders": []  }'
{  "message": "string",  "webhook": {    "id": "string",    "name": "string",    "url": "http://example.com",    "events": [      "post.published"    ],    "profileAccess": "all_profiles",    "profileIds": [      "string"    ],    "hasSigningSecret": true,    "customHeaderNames": [      "string"    ],    "isActive": true,    "disabledReason": "auto_consecutive_failures",    "consecutiveFailures": 0,    "lastDeliveredAt": "2019-08-24T14:15:22Z",    "lastFailedAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}
{  "error": "JSON body is required"}
{  "error": "Unauthorized"}
{  "error": "API key requires read_write permission"}
{  "error": "Not found"}
{  "error": "Failed to create post"}